#!usr/bin/env python
# -*- coding: utf8 -*-

# -----------------------------------------------------------------------------
#   File: consts.py (as part of project URUMETRICS)
#   Created: 20/05/2022 16:16
#   Last Modified: 20/05/2022 16:16
# -----------------------------------------------------------------------------
#   Author: William N. Havard
#           Postdoctoral Researcher
#
#   Mail  : william.havard@ens.fr / william.havard@gmail.com
#  
#   Institution: ENS / Laboratoire de Sciences Cognitives et Psycholinguistique
#
# ------------------------------------------------------------------------------
#   Description: 
#       • 
# -----------------------------------------------------------------------------

from enum import Enum, unique

CHILDREN_DEFAULT_DOB = '1000-01-01'

@unique
class ANNOTATION_TYPES(Enum):
    # Name = directory, format, extension
    VTC = ('vtc', 'vtc_rttm', 'rttm',)
    VCM = ('vcm','vcm_rttm', 'vcm',)
    ALICE = ('alice', 'alice', 'txt',)
    ACOUSTIC = ('acoustic', 'filtered_csv', 'csv',)
    CONVERSATIONS = ('conversations', 'filtered_csv', 'csv',)

    @classmethod
    def asdict(cls):
        return dict(list(map(lambda c: (c.name, c.value), cls)))
